/**
 * gclc:fr.bigeon.gclc.command.ScriptExecutionTest.java
 * Created on: Jun 12, 2016
 */
package fr.bigeon.gclc.command;

import static org.junit.Assert.fail;

import java.io.IOException;

import org.junit.Test;

import fr.bigeon.gclc.CommandTestingApplication;
import fr.bigeon.gclc.exception.InvalidCommandName;

/**
 * <p>
 * TODO
 *
 * @author Emmanuel Bigeon
 *
 */
public class ScriptExecutionTest {

    /**
     * Test method for {@link fr.bigeon.gclc.command.ScriptExecution#execute(java.lang.String[])}.
     */
    @Test
    public void testExecute() {
        try {
            CommandTestingApplication application = new CommandTestingApplication();

            application.add(new ScriptExecution("script",
                    application.getApplication(), "#"));

            application.sendCommand("script src/test/resources/script1.txt");
            application.sendCommand("script src/test/resources/script2.txt");
            application.sendCommand("script src/test/resources/script3.txt");
            application.sendCommand("script src/test/resources/script4.txt");
            application
                    .sendCommand("script src/test/resources/script5.txt test");

            application.waitAndStop();

        } catch (IOException | InvalidCommandName e) {
            fail("Unexpected exception");
        }
    }

}
